
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
    min-height: 100vh;
    background: #111;
}

/*Banner*/

.banner {
  position: relative;
  width: 100%;
  padding: 10px;
  background-color: rgb(0, 0, 0);
}


.bannerImg {
  display: block;
  width: 100%;
  height: auto; 
  object-fit: cover;
}

/*nav bar*/

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 2rem;
  background: #111;
  position: sticky;
  top: 0;
  z-index: 1000;
}

.navbar__logo img {
  height: 60px;      
  width: auto;       
  display: block;    
}

.navbar__links {
  list-style: none;
  display: flex;
  gap: 2rem;
  margin: 0;
  padding: 0;
}

.navbar__links a {
  color: #ccc;
  text-decoration: none;
  font-size: 1.5rem;
  transition: color 0.2s;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.navbar__links a:hover {
  color: #fff;
}

/* Nav bar button*/
.navbar__toggle {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: none;
  border: none;
  cursor: pointer;
  padding: 4px;
}

.navbar__toggle span {
  display: block;
  width: 24px;
  height: 2px;
  background: #fff;
  border-radius: 2px;
  transition: transform 0.3s, opacity 0.3s;
}

/* animatie*/
.navbar__toggle.active span:nth-child(1) {
  transform: translateY(7px) rotate(45deg);
}
.navbar__toggle.active span:nth-child(2) {
  opacity: 0;
}
.navbar__toggle.active span:nth-child(3) {
  transform: translateY(-7px) rotate(-45deg);
}

/* Nav Bar telefon */
@media (max-width: 768px) {
  .navbar__toggle {
    display: flex;
  }

  .navbar__links {
    display: none;
    flex-direction: column;
    gap: 0;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #111;
    padding: 0.5rem 0;
  }

  .navbar__links.open {
    display: flex;
  }

  .navbar__links a {
    display: block;
    padding: 0.85rem 2rem;
    border-top: 1px solid #222;
  }
}

/*buttoane*/

.buy__tickets{
  padding: 20px 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  flex-wrap: wrap; 
}

.buy__tickets button{
  align-items: center;
  background-color: #fff;
  border: 2px solid #000;
  box-sizing: border-box;
  color: #000;
  cursor: pointer;
  display: inline-flex;
  fill: #000;
  font-family: Inter,sans-serif;
  font-size: 16px;
  font-weight: 600;
  height: 48px;
  justify-content: center;
  letter-spacing: -.8px;
  line-height: 24px;
  min-width: 170px;
  outline: 0;
  padding: 0 17px;
  text-align: center;
  text-decoration: none;
  transition: all .3s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}
.buy__tickets button:hover{
  border-color: rgb(255, 255, 255);
}

.buy__tickets button:active{
  border-color: rgb(95, 95, 95);
  color: rgb(90, 91, 92);
}


@media (max-width: 768px) {
  .buy__tickets button {
    min-width: 120px;
    font-size: 10px;
    height: 40px;
    font-size: 13px;
  }
}

/*Sponsors*/
.sponsors{
  position: relative;
  width: 100%;
  padding: 10px;
  text-align: center;
  background: #260a0a;
}

.sponsors h1{
  color: #fff;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.sponsors__logos {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  flex-wrap: wrap;          /*CSS pt cand o sa punem logouri de la sponsori*/
}

.sponsors__logos img {
  height: 50px;
  width: auto;
  object-fit: contain;
}

/*trupe*/

.lineup{
  position: relative;
  width: 100%;
  padding-bottom: 30px;
  text-align: center;
  background: #2f0b0b;
}

.lineup h1{
  color: #fff;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 400;
  font-style: normal;
  padding: 10px 10px;
}

.band__logos {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  flex-wrap: wrap;          /*CSS pt cand o sa punem logouri de la trupe*/
}

.band__logos img {
  height: 100px;
  width: auto;
  object-fit: contain;
}

.band__logos .wan{ /*logo wan e prea mare lol*/
  height: 60px;
}

@media (max-width: 768px) { /*Nu se vede pe site inca*/
 .band__logos img{
    height: 60px;
 }
}

/*info*/

.info{
  display: flex;
  gap: 2rem;
  align-items: flex-start;
  padding: 20px 20px;
  background: #3b0b0b;
}

.info h1{
  color: #fff;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.info p{
  color: #fff;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 20px;
}
 .info iframe {
  width: 100%;
  height: 350px;
  border: none;
  border-radius: 8px;
  display: block;
}


.info button{
  align-items: center;
  background-color: #fff;
  border: 2px solid #000;
  box-sizing: border-box;
  color: #000;
  cursor: pointer;
  display: inline-flex;
  fill: #000;
  font-family: Inter,sans-serif;
  font-size: 16px;
  font-weight: 600;
  height: 48px;
  justify-content: center;
  letter-spacing: -.8px;
  line-height: 24px;
  min-width: 170px;
  outline: 0;
  padding: 0 17px;
  text-align: center;
  text-decoration: none;
  transition: all .3s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  margin-top: 10px;
}
.info button:hover{
  border-color: rgb(255, 255, 255);
}

.info button:active{
  border-color: rgb(95, 95, 95);
  color: rgb(90, 91, 92);
}


@media (max-width: 768px) {
  .info button {
    min-width: 100px;
    font-size: 10px;
    height: 30px;
  }
}

.map,.text {
  flex: 1; 
}

/* info pt tel */
@media (max-width: 768px) {
  .info {
    flex-direction: column;
  }

  .info iframe {
    height: 220px;
  }
}

